針對Sudo的堆積緩衝溢位漏洞(編號CVE-2021-3156),Qualys研究人員發展了數個概念驗證攻擊程式,並且成功在Ubuntu 20.04 (Sudo 1.8.31)、Debian 10 (Sudo 1.8.27)和Fedora 33 (Sudo 1.9.2)上,取得完整根權限。而其他Linux版本和作業系統,可能也同樣曝險。(圖片來源/Qualys)

安全廠商Qualys研究人員發現類Unix作業系統常用的Sudo程式,存在一個權限升級漏洞,在預設Sudo組態情況下,任何人都能取得主機上的根執行權限。

Sudo是一種工具程式,用於各種類Unix作業系統,包括BSD、Mac OS X以及GNU/Linux,允許一般使用者以另一人的根權限來執行程式。

Qualys研究人員發現的漏洞屬於Sudo的堆積(heap-based)緩衝溢位漏洞,編號CVE-2021-3156。它在本機用戶傳送sudoedit -s及以單反斜線(\)結尾的指令行參數開採,任何本機使用者(包括一般使用者和系統使用者、sudoer或非sudoer)在未經驗證(即無需知道密碼)都能輕易完成。成功開採可造成權限擴張,無權限的本機用戶因此取得主機根權限,可能危及資料隱私或導致系統被變更或無法使用。這項漏洞CVSS 3.1風險評分達7.0,屬中高度風險。

這項漏洞從2011年7月就存在,等於公開將近10年,這個漏洞影響所有從1.8.2到1.8.31p2的舊版本,及從1.9.0到1.9.5p1的穩定版本。

Qualys研究人員發展了數個概念驗證攻擊程式,並且成功在Ubuntu 20.04 (Sudo 1.8.31)、Debian 10 (Sudo 1.8.27)和Fedora 33 (Sudo 1.9.2)上,取得完整根權限。而其他Linux版本和作業系統,可能也同樣曝險。

安全公司於今年1月中發現後,通報Sudo的開發維護單位。Sudo已在本周完成修補。

Red HatSUSEUbuntuDebian也分別發布安全公告,呼籲用戶儘速升級到最新版本的Sudo套件。根據Red Hat公告,這項漏洞除了影響Red Hat Enterprise Linux 5-8版外,也影響Red Hat OpenShift Container Platform 4.x版。

熱門新聞


Advertisement